
#include "V.h"
/*
* Here is the recursive encoding routine.  Note that we are passed pointers to
* the first and last bytes allowed, and we return the address of the next byte
* in the growing string.  Note also the assumption that n >= 0.
*/
char* encodei(n,p,q)
	unsigned n;
	char *p, *q;
{
	if (p > q) return p;
	if (n > 9) {
		p = encodei(n/10,p,q);
		n %= 10;
	}
	*p++ = '0' + n;
	return p;
}
