
#include "V.h"
/*
* Compare n bytes of *f and *t; return 0 if they are identical, nonzero if they
* are different. Actually, the return value is the difference between the first
* differing bytes, so it is < 0 iff f < t.  Note that there are often much more
* efficient ways to implement this, but this C version is portable.
*/

#ifndef Bcmp
Bcmp(f,t,n)
	char*f,*t;
{	int r;
	while (n-- > 0)
		if (r = (*t++ - *f++))
			return(r);
	return(0);
}
#endif

d_bcmp(f,t,n)
	char*f,*t;
{	int r;
	while (n-- > 0)
		if (r = (*t++ - *f++))
			return(r);
	return(0);
}
