
#include "V.h"
/*
* Zero out n bytes at p.  There are often much more efficient ways  to
* implement this, but this C version is portable.
*/

#ifndef HAS_bzero
/*
* This routine may be used for systems that lack the  bzero()  routine
* in  their  system  libraries.  There are actually systems that still
* don't have this routine, believe it or not.
*/
void bzero(p,n)
	char *p;
{



	while (n-- > 0)
		*p++ = 0;

}
#endif

#ifndef Bzero
/*
* This defines Bzero as a function.  Programs  that  #include  "V.h"
* will have Bzero as a macro, and will never get here. But it's useful
* to also define it as a function, for the benefit  of  programs  that
* don't #include "V.h" but call Bzero().
*/
void Bzero(p,n)
	char *p;
{



	while (n-- > 0)
		*p++ = 0;

}
#endif

/*
* Here's the real debug version of bzero():
*/
void d_bzero(p,n) char *p;
{



#ifdef USE_bzero
	bzero(p,n);
#else
	while (n-- > 0)
		*p++ = 0;
#endif

}
