
#include "V_s_lc.h"
#include "sys_signal.h"
/*
* Here's our wrapper for the signal-catching system call.  Note that we
* generate a rather detailed debug message at level 4.  This is a rather
* difficult part of most programs...
*/

#if defined(USE_syscall) && defined(SYS_signal)
sig_t signal(sig,fct){d_signal(sig,fct,unknown);}
#endif

sig_t d_signal(sig,fct,msg)
	int   sig;
	void(*fct)();
	char *msg;
{	sig_t i;

	errno = 0;
#if defined(USE_syscall) && defined(SYS_signal)
	i = (sig_t)syscall(SYS_signal,sig,fct);
#else
	i = (sig_t)signal(sig,fct);
#endif
	V5s "signal(%d,%08lX)=%08X \"%s\" [Err %d=%s=%s]",sig,fct,i,msg,Errinfo D;
	return(i);
}
